%global pypi_name click-help-colors
%global module_name click_help_colors
%global commitId 2e4f648d60cb22509541cee1212a68406ceb4b41

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       0.9.1
Release:       1%{?dist}
Summary:       click-help-colors

License:       MIT
URL:           https://github.com/click-contrib/click-help-colors
Source0:       python-click-help-colors-2e4f648d60cb22509541cee1212a68406ceb4b41.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

%description
Colorization of help messages in Click

%package -n python%{python3_pkgversion}-%{pypi_name}

Summary:       click-help-colors

Requires:      python%{python3_pkgversion}-click >= 7.0

%description -n python%{python3_pkgversion}-%{pypi_name}
Colorization of help messages in Click

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}-py%{python3_version}.egg-info
%license LICENSE.txt
%doc README.rst

%changelog
* Fri Mar 04 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.9.1-1
- Initial package
